@import '_content/Microsoft.FluentUI.AspNetCore.Components/Microsoft.FluentUI.AspNetCore.Components.84wtju4z0n.bundle.scp.css';

/* /Views/Components/App/AppFooter.razor.rz.scp.css */
.phzh-footer[b-o2isst03wh] {
    color: var(--input-placeholder-rest);
    font-size: 11px;
    line-height: 1;
    align-content: center;
    display: flex;
}

.phzh-footer-divider[b-o2isst03wh] {
    margin: 0 0.5rem;
    color: var(--input-placeholder-rest);
    opacity: 0.4;
}

.heart[b-o2isst03wh] {
    color: var(--accent-fill-active);
    margin: 0 0.25em;
}

.phzh-version[b-o2isst03wh] {
    cursor: default;
}
/* /Views/Components/App/AppHeader.razor.rz.scp.css */
.header[b-hdo745uaix] {
    display: flex;
    z-index: 10;
    flex-shrink: 0;
    /*    font-weight: bold;
    font-size: var(--type-ramp-plus-1-font-size);
    line-height: var(--type-ramp-plus-1-line-height);
*/
    border-bottom: 1px solid var(--phzh-app-header-border-color);
    height: var(--phzh-app-header-height);
}

    .header .header-gutters[b-hdo745uaix] {
        display: flex;
        position: relative;
        align-items: center;
        width: 100%;
        padding: 0 1rem 0 1.25rem;
        column-gap: 10px;
    }

    .header .header-content[b-hdo745uaix] {
        flex-grow: 1;
        height: stretch;
        align-content: center;
    }

    .header .header-image[b-hdo745uaix] {
        width: 32px;
        height: 32px;
        border-radius: 4px;
        flex-shrink: 0;
        margin-right: 2px;
    }

    .header .header-title[b-hdo745uaix] {
        font-weight: 700;
        font-size: 1.125rem; /*var(--type-ramp-plus-1-font-size);*/
        line-height: 1; /*var(--type-ramp-plus-1-line-height);*/
        white-space: nowrap;
        margin-right: 8px;
    }

.header-gutters:has(> .phzh-navigation-collapse)[b-hdo745uaix] {
    padding-left: 1rem;
}
/* /Views/Components/App/AppLayout.razor.rz.scp.css */
.phzh-layout[b-3aqi726k8g] {
    width: 100%;
    height: 100%;
}

[b-3aqi726k8g] .phzh-splitter-navigation {
}
    [b-3aqi726k8g] .phzh-splitter-navigation > .fluent-multi-splitter-bar {
        opacity: var(--phzh-splitter-opacity);
    }
        [b-3aqi726k8g] .phzh-splitter-navigation > .fluent-multi-splitter-bar > [part='resize'],
        [b-3aqi726k8g] .phzh-splitter-navigation > .fluent-multi-splitter-bar > [part='expand'] {
            display: none !important;
        }

[b-3aqi726k8g] .phzh-navigation-container {
    background-color: var(--neutral-layer-2);
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: stretch;
    gap: 0;
}

[b-3aqi726k8g] .phzh-navigation {
    flex-grow: 1;
    padding: var(--phzh-navigation-padding, 0);
    overflow-y: auto;
}

[b-3aqi726k8g] .phzh-main-container {
    background-color: var(--neutral-layer-1);
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: stretch;
    gap: 0;
}
    [b-3aqi726k8g] .phzh-main-container.phzh-main-container_no-header .phzh-splitter-panel {
        height: 100%;
    }

[b-3aqi726k8g] .phzh-splitter-panel {
    height: calc(100% - var(--phzh-app-header-height));
    width: 100%;
}
    [b-3aqi726k8g] .phzh-splitter-panel > .fluent-multi-splitter-bar {
        opacity: var(--phzh-splitter-opacity);
    }

        [b-3aqi726k8g] .phzh-splitter-panel > .fluent-multi-splitter-bar > [part='resize'],
        [b-3aqi726k8g] .phzh-splitter-panel > .fluent-multi-splitter-bar > [part='expand'] {
            display: none !important;
        }


[b-3aqi726k8g] .phzh-content-container {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: stretch;
    gap: 0;
    overflow: auto !important;
}

    [b-3aqi726k8g] .phzh-content-container_sticky-footer {
        overflow: hidden !important;
    }

        [b-3aqi726k8g] .phzh-content-container_sticky-footer .phzh-content {
            overflow: auto;
        }

[b-3aqi726k8g] .phzh-content {
    flex-grow: 1;
    padding: var(--phzh-content-padding, 0);
    width: initial;
    height: initial;
    overflow: initial;
}

[b-3aqi726k8g] .phzh-content-footer {
    padding: var(--phzh-footer-padding, 0);
    justify-content: space-between;
}

[b-3aqi726k8g] .phzh-panel-container {
    background-color: var(--neutral-layer-1);
}

[b-3aqi726k8g] #btnMoreOptions {
    min-width: auto;
}
    [b-3aqi726k8g] #btnMoreOptions::part(control) {
        padding: 0;
        min-width: auto;
    }
/* /Views/Components/Badges/CounterBadge.razor.rz.scp.css */
/* styles are in wwwroot/css/site.css */
/* /Views/Components/Buttons/DropdownButton.razor.rz.scp.css */
.phzh-dropdown-button[b-rj219d8jqh] {
    display: inline-flex;
    flex-direction: row;
    align-items: start;
}

    .phzh-dropdown-button[b-rj219d8jqh]  .phzh-dropdown-button-action {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }

    .phzh-dropdown-button[b-rj219d8jqh]  .phzh-dropdown-button-dropdown {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        min-width: auto;
    }

        .phzh-dropdown-button[b-rj219d8jqh]  .phzh-dropdown-button-dropdown::part(control) {
            border-left-width: 0;
            min-width: auto;
            padding-inline: 2px;
        }
/* /Views/Components/Buttons/HoverButton.razor.rz.scp.css */
/* styles are in wwwroot/css/site.css */
/* /Views/Components/Common/InfoLabel.razor.rz.scp.css */
.phzh-info-label[b-14thjuarl0] {
    display: inline-flex;
    align-items: center;
    gap: 0.25rem;
    line-height: 1;
    overflow: visible;
}

.phzh-info-label-icon[b-14thjuarl0] {
    flex-shrink: 0;
}

.phzh-info-label-text[b-14thjuarl0] {
    white-space: nowrap;
}
/* /Views/Components/Common/LoadingIndicator.razor.rz.scp.css */
.phzh-loading-indicator[b-a1q38optpd] {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    column-gap: 0.5em;
    font-size: var(--type-ramp-base-font-size);
    line-height: 1;
    font-weight: var(--phzh-loading-indicator-font-weight);
    color: var(--neutral-foreground-rest);
}
    .phzh-loading-indicator.phzh-loading-indicator_small[b-a1q38optpd] {
        font-size: var(--type-ramp-base-font-size);
    }
    .phzh-loading-indicator.phzh-loading-indicator_large[b-a1q38optpd] {
        font-size: var(--type-ramp-base-font-size);
    }

.phzh-loading-indicator[b-a1q38optpd]  fluent-progress-ring::part(progress) {
    overflow: visible;
}

.phzh-loading-indicator-text[b-a1q38optpd] {
    white-space: nowrap;
}
/* /Views/Components/Dev/SysInfoComponent.razor.rz.scp.css */
h1:not(:first-of-type)[b-x7w0rvrnse] {
    margin-top: 1rem;
}

h2:not(:first-of-type)[b-x7w0rvrnse] {
    margin-top: 1rem;
}

h3[b-x7w0rvrnse] {
    margin-top: 0.75rem;
}
/* /Views/Components/Forms/AttachmentInput.razor.rz.scp.css */
.phzh-attachments[b-kxl803icms] {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.phzh-attachments-files[b-kxl803icms] {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.phzh-attachments-files_empty[b-kxl803icms] {
    font-size: 12px;
    padding-inline: 1px;
    line-height: 1;
    color: var(--info);
}

[b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container {
    box-sizing: border-box;
    border-radius: calc(var(--layer-corner-radius) * 1px);
    border: 2px dashed var(--neutral-stroke-rest);
    background-color: transparent;
    min-height: 100px;
    transition-property: border-color, color;
    transition-timing-function: var(--default-transition-timing-function);
    transition-duration: var(--default-transition-duration);
}

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container:hover {
        border-color: var(--neutral-foreground-active);
    }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container[drop-files] {
        border: 2px dashed var(--accent-fill-rest);
    }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container > div[style*='grid-column'] {
        background-color: transparent;
    }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container #phzhAttachmentsInput {
        cursor: pointer;
    }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container .inputfile-content {
    }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container .inputfile-progress {
        display: none;
    }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container .phzh-attachments-dropzone {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        gap: 10px;
        color: var(--info);
        text-decoration: none;
        cursor: pointer;
        font-size: 13px;
        font-weight: 500;
        padding: 16px;
    }

        [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container .phzh-attachments-dropzone:hover {
            color: var(--neutral-fill-strong-hover);
        }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container[drop-files] .phzh-attachments-dropzone {
        color: var(--accent-fill-rest);
    }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container .phzh-attachments-dropzone > svg {
        flex-shrink: 0;
    }

    [b-kxl803icms] .phzh-attachments-input.fluent-inputfile-container .phzh-attachments-dropzone > span {
        text-align: start;
    }


.phzh-attachments-file[b-kxl803icms] {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: stretch;
    gap: 4px;
}

    .phzh-attachments-file:hover[b-kxl803icms] {
        background-color: var(--neutral-fill-input-alt-focus);
    }

.phzh-attachments-file-progress[b-kxl803icms] {
    font-size: 12px;
    font-weight: 500;
    line-height: 1;
    color: var(--info);
    white-space: nowrap;
    display: flex;
    align-items: center;
    gap: 6px;
    margin-right: 12px;
    --stroke-width: 2;
}

.phzh-attachments-file-name[b-kxl803icms] {
    flex-grow: 1;
    text-overflow: ellipsis;
    display: flex;
    gap: 3px;
}

.phzh-attachments-file-size[b-kxl803icms] {
    font-size: 12px;
    color: var(--info);
    margin-left: 3px;
}
/* /Views/Components/Meetings/MeetingDetails.razor.rz.scp.css */
.phzh-meeting-details[b-0eq20i0tqg] {
        display: grid;
        grid-template-columns: minmax(350px, 25%) 1fr;
        grid-template-rows: auto 1fr;
        grid-template-areas:
            "header header"
            "agendaitems editor";
        min-height: 100%;
        /* variables for child elements */
        --phzh-frame-border-color: var(--neutral-stroke-layer-rest);
    }

/* /Views/Components/Meetings/MeetingDetailsAgendaItem.razor.rz.scp.css */
.phzh-agendaitems-listitem[b-zqvyd5vl4k] {
    box-sizing: border-box;
    background: var(--neutral-fill-input-rest);
    color: var(--neutral-foreground-rest);
    border-radius: calc(var(--layer-corner-radius) * 1px);
    padding: 16px 12px 16px 2px;
    transition-property: border-color, background-color;
    transition-timing-function: var(--default-transition-timing-function);
    transition-duration: var(--default-transition-duration);
    cursor: pointer;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.14);
    border: 1px solid transparent;
    width: 100%;
    display: grid;
    grid-template-columns: 28px 1fr auto;
    grid-template-rows: auto auto;
    grid-template-areas:
        "drag title duration"
        "drag info attachments";
}

    .phzh-agendaitems-listitem:hover[b-zqvyd5vl4k] {
        border-color: var(--accent-fill-rest);
        box-shadow: 0 0 2px rgba(0, 0, 0, 0.18), 0 1px 2px rgba(0, 0, 0, 0.20);
    }

.phzh-agendaitems-listitem_selected[b-zqvyd5vl4k] {
    border-color: var(--accent-fill-active);
    background-color: var(--neutral-fill-input-alt-focus);
}

.phzh-agendaitems-listitem-drag[b-zqvyd5vl4k] {
    grid-area: drag;
    display: flex;
    align-items: center;
    border-radius: 0 !important;
    width: auto !important;
    padding: 0 !important;
    left: 0 !important;
    flex-shrink: 0;
    background-color: transparent !important;
}

.phzh-agendaitems-listitem-title[b-zqvyd5vl4k] {
    grid-area: title;
    font-weight: 600;
    font-size: var(--type-ramp-plus-1-font-size);
    line-height: 1.2em;
}

.phzh-agendaitems-listitem-duration[b-zqvyd5vl4k] {
    grid-area: duration;
    font-size: var(--type-ramp-minus-1-font-size);
    color: var(--info);
    text-align: right;
    line-height: 1;
    /* adjust the baseline to the title */
    padding-top: 5px;
}

.phzh-agendaitems-listitem-submittedby[b-zqvyd5vl4k] {
    grid-area: info;
    white-space: nowrap;
    height: 20px;
    margin-top: 4px;
}

.phzh-agendaitems-listitem-attachments[b-zqvyd5vl4k] {
    grid-area: attachments;
    font-size: var(--type-ramp-minus-1-font-size);
    line-height: var(--type-ramp-minus-1-line-height);
    color: var(--info);
    align-self: end;
    display: flex;
    justify-content: end;
}
.phzh-agendaitems-listitem-attachments > svg[b-zqvyd5vl4k] {
    margin-left: 2px;
}
/* /Views/Components/Meetings/MeetingDetailsAgendaItems.razor.rz.scp.css */
.phzh-agendaitems[b-00f3xbfd8t] {
        grid-area: agendaitems;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .phzh-agendaitems-header[b-00f3xbfd8t] {
        background: var(--neutral-fill-input-rest);
        color: var(--neutral-foreground-rest);
        border: 1px solid var(--phzh-frame-border-color);
        border-top: none;
        border-right: none;
        border-bottom-left-radius: calc(var(--layer-corner-radius) * 1px);
        font-size: var(--type-ramp-plus-1-font-size);
        line-height: var(--type-ramp-plus-1-line-height);
        font-weight: 500;
        padding: 16px 22px 16px 20px;
    }

    .phzh-agendaitems-list[b-00f3xbfd8t] {
        margin-right: 10px;
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .phzh-agendaitems-list-sortable[b-00f3xbfd8t] {
    }
/* /Views/Components/Meetings/MeetingDetailsEditor.razor.rz.scp.css */
.phzh-agendaitem-editor[b-l5hqqy22kt] {
    grid-area: editor;
    box-sizing: border-box;
    background: var(--neutral-fill-input-rest);
    color: var(--neutral-foreground-rest);
    border: 1px solid var(--phzh-frame-border-color);
    border-top: none;
    border-bottom-left-radius: calc(var(--layer-corner-radius) * 1px);
    border-bottom-right-radius: calc(var(--layer-corner-radius) * 1px);
    padding: 16px;
    overflow: auto; /* needed that the CKEditor does not use full size of it's toolbar */
}
/* /Views/Components/Meetings/MeetingDetailsHeader.razor.rz.scp.css */
.phzh-meeting-details-header[b-obbkpn6c61] {
    grid-area: header;
    box-sizing: border-box;
    background: var(--neutral-fill-input-rest);
    color: var(--neutral-foreground-rest);
    border: 1px solid var(--phzh-frame-border-color);
    border-top-left-radius: calc(var(--layer-corner-radius) * 1px);
    border-top-right-radius: calc(var(--layer-corner-radius) * 1px);
    padding: 16px 16px 16px 20px;
    display: grid;
    grid-template-columns: 1fr auto;
    grid-auto-rows: auto 21px;
    grid-template-areas:
        "title actions"
        "info status"
}

.phzh-meeting-details-title[b-obbkpn6c61] {
    grid-area: title;
    font-size: var(--type-ramp-plus-2-font-size);
    line-height: var(--type-ramp-plus-2-line-height);
    font-weight: 500;
    margin-block: -2px 2px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    gap: 1rem;
}

.phzh-meeting-details-number[b-obbkpn6c61] {
    margin-left: 8px;
    font-size: var(--type-ramp-plus-1-font-size);
    line-height: var(--type-ramp-plus-1-line-height);
    font-weight: 400;
}

.phzh-meeting-details-edit[b-obbkpn6c61] {
}

.phzh-meeting-details-delete[b-obbkpn6c61] {
}


.phzh-meeting-details-info[b-obbkpn6c61] {
    grid-area: info;
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 1rem;
}

.phzh-meeting-details-actions[b-obbkpn6c61] {
    grid-area: actions;
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
    gap: 10px;
}

.phzh-meeting-details-status[b-obbkpn6c61] {
    grid-area: status;
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: end;
    gap: 10px;
}
/* /Views/Components/Meetings/MeetingSummary.razor.rz.scp.css */
.phzh-meeting-summary-card[b-ko0ww4i7i3] {
    display: grid;
    grid-template-columns: auto 1fr auto;
    grid-auto-rows: auto 21px;
    grid-template-areas:
        "date title status"
        "date info status"
}
    .phzh-meeting-summary-card + .phzh-meeting-summary-card[b-ko0ww4i7i3] {
        margin-top: 1rem;
    }

.phzh-meeting-summary-date[b-ko0ww4i7i3] {
    grid-area: date;
    width: 50px;
    height: 50px;
    margin-right: 16px;
    background-color: var(--neutral-fill-input-alt-focus);
    color: inherit;
    border-radius: 4px;
    border: 1px solid var(--neutral-stroke-input-active);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--neutral-fill-strong-hover);
}

.phzh-meeting-summary-date_empty[b-ko0ww4i7i3] {
    background-color: transparent;
    border: 2px dashed var(--neutral-stroke-input-active);
}

.phzh-meeting-summary-date-month[b-ko0ww4i7i3] {
    font-size: var(--type-ramp-minus-1-font-size);
    line-height: 1;
    font-weight: 500;
    margin-bottom: 0.15rem;
}

.phzh-meeting-summary-date-day[b-ko0ww4i7i3] {
    font-size: var(--type-ramp-plus-2-font-size);
    line-height: 1;
    font-weight: 700;
}

.phzh-meeting-summary-title[b-ko0ww4i7i3] {
    grid-area: title;
    font-size: var(--type-ramp-plus-2-font-size);
    line-height: var(--type-ramp-plus-2-line-height);
    font-weight: 500;
    margin-block: -2px 0;
}
.phzh-meeting-summary-number[b-ko0ww4i7i3] {
    margin-left: 8px;
    font-size: var(--type-ramp-plus-1-font-size);
    line-height: var(--type-ramp-plus-1-line-height);
    font-weight: 400;
}

.phzh-meeting-summary-info[b-ko0ww4i7i3] {
    grid-area: info;
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 1rem;
}

.phzh-meeting-summary-status[b-ko0ww4i7i3] {
    grid-area: status;
    align-self: center;
    background-color: aqua;
    display: none;
}
/* /Views/Components/Meetings/MeetingSummaryList.razor.rz.scp.css */
.phzh-meeting-summary[b-8m22kz0s9x] {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
    gap: 20px;
}

.phzh-meeting-summary-group[b-8m22kz0s9x] {
}

.phzh-meeting-summary-group-title[b-8m22kz0s9x] {
    margin-block: 0 0.5rem;
    color: var(--info);
    font-weight: 500;
}
/* /Views/Components/Navigation/ChannelHeaderNavigation.razor.rz.scp.css */
.phzh-channel-header-navigation[b-lyn7gvdztd] {
    align-self: stretch;
}
/* /Views/Components/Panels/PanelContent.razor.rz.scp.css */
.phzh-panel[b-acfbc2z7s5] {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: stretch;
    gap: 0;
}

.phzh-panel-header[b-acfbc2z7s5] {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0;
    padding: 0.5rem 1rem;
    border-bottom: 1px solid var(--phzh-app-header-border-color);
}

.phzh-panel-title[b-acfbc2z7s5] {
    font-weight: 600;
    font-size: 1rem;
    line-height: 1;
    margin-right: 1rem;
}

.phzh-panel-content[b-acfbc2z7s5] {
    flex-grow: 1;
    padding: var(--phzh-panel-content-padding);
    width: initial;
    height: initial;
    overflow: auto;
}

[b-acfbc2z7s5] .phzh-panel-footer {
    padding: var(--phzh-panel-footer-padding);
}
